%define upstream_name    Test-Simple
%define upstream_version 1.302075

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Basic utilities for writing tests
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util) >= 1.130.0
BuildRequires: perl(Test::Harness) >= 2.30.0
Obsoletes:  perl-Test-Tester <= 0.109.0-8.mga6
BuildArch:  noarch

%{?perl_default_filter}

%description
This is an extremely simple, extremely basic module for writing tests suitable
for CPAN modules and other pursuits. If you wish to do more complicated
testing, use the Test::More module (a drop-in replacement for this one).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/Test
%{perl_vendorlib}/Test2
%{perl_vendorlib}/Test2.pm
%{perl_vendorlib}/ok.pm
%{_mandir}/*/*


%changelog
* Sun Jan 15 2017 shlomif <shlomif> 1.302.75-5.mga6
+ Revision: 1081840
- New upstream version 1.302075 .

* Thu Jun 23 2016 tv <tv> 1.1.14-5.mga6
+ Revision: 1037262
- bump obsoleted version

  + pterjan <pterjan>
    - Obsolete perl-Test-Tester

* Sun May 08 2016 shlomif <shlomif> 1.1.14-3.mga6
+ Revision: 1010906
- Rebuild for new perl

* Thu Feb 18 2016 umeabot <umeabot> 1.1.14-2.mga6
+ Revision: 967060
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 sander85 <sander85> 1.1.14-1.mga6
+ Revision: 848049
- update to 1.001014

* Sun Oct 19 2014 umeabot <umeabot> 1.1.6-5.mga5
+ Revision: 790330
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.1.6-4.mga5
+ Revision: 740308
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.1.6-3.mga5
+ Revision: 736019
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.1.6-2.mga5
+ Revision: 686546
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 sander85 <sander85> 1.1.6-1.mga5
+ Revision: 671401
- update to 1.001006

* Fri Jun 06 2014 jquelin <jquelin> 1.1.3-2.mga5
+ Revision: 634036
- perl 5.20 rebuild

* Tue Mar 25 2014 jquelin <jquelin> 1.1.3-1.mga5
+ Revision: 608280
- update to 1.001003

* Mon Feb 10 2014 jquelin <jquelin> 1.1.2-1.mga5
+ Revision: 588032
- update to 1.001002

* Tue Oct 22 2013 umeabot <umeabot> 0.990.0-2.mga4
+ Revision: 542251
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 sander85 <sander85> 0.990.0-1.mga4
+ Revision: 497122
- update to 0.99

* Sun Jan 13 2013 umeabot <umeabot> 0.980.0-2.mga3
+ Revision: 373782
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 26 2011 jquelin <jquelin> 0.980.0-1.mga1
+ Revision: 60585
- update to 0.98

* Fri Feb 18 2011 jquelin <jquelin> 0.960.0-3.mga1
+ Revision: 53759
- rebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.960.0-2.mga1
+ Revision: 27126
- mageia rebuild
- imported package perl-Test-Simple

